package ppJava.serie02.datatypes;

/**
 * description
 *
 * @author bpei@informatik.uni-kiel.de
 * @author ken@informatik.uni-kiel.de
 *
 * @version 0.1
 */

import java.io.*;

public class Split
{
	/* 
	 * http://www.java2s.com/
	 */	
	private static int readLineInt() {

		String line = null;
		int val = 0;
		try {
			BufferedReader is = new BufferedReader(
								new InputStreamReader(System.in));
			line = is.readLine();
			val = Integer.parseInt(line);
		} catch (NumberFormatException ex) {
			System.err.println("Not a valid number: " + line);
			val = 0;
		} catch (IOException e) {
			System.err.println("Unexpected IO ERROR: " + e);
			val = 0;
		}
		return val;
	}

	private static void splitInt(int in) {
		for (int i = 1; i < in; i++) {

			for (int j = 1; j <= i; j++) {
				System.out.print(j);
			}
			System.out.print(" ");

			for (int j = in; j > i; j--) {
				System.out.print(j);
			}
			System.out.println();
		}
	}

	public static void main(String[] args) {			

		int in = readLineInt();

		if (in > 0) splitInt(in);
	}
}
