package ppJava.serie03.rational;

/**
 * name / description...
 * 
 * @author ken/bpei
 * 
 */
public class Rational {

	long numerator;
	long denominator;

	/**
	 * Constructor without params
	 */
	public Rational() {
		numerator = 0;
		denominator = 1;
	}

	/**
	 * Constructor with params
	 * 
	 * @param n numerator
	 * @param d denominator
	 */
	public Rational(long n, long d) {
		numerator = n;
		denominator = d;

	}

	/**
	 * 
	 * @return numerator
	 */
	public long getNumerator() {
		return numerator;
	}

	/**
	 * 
	 * @param numerator
	 */
	public void setNumerator(long numerator) {
		this.numerator = numerator;
	}

	/**
	 * 
	 * @return denominator
	 */
	public long getDenominator() {
		return denominator;
	}

	/**
	 * 
	 * @param denominator
	 */
	public void setDenominator(long denominator) {
		this.denominator = denominator;
	}

	public String toString() {
		return (Long.toString(this.getNumerator())) + "/"
				+ (Long.toString(this.getDenominator()));
	}

	public static void main(String[] args) {
		Rational rat1 = new Rational();
		Rational rat2 = new Rational(2, 3);
		
		System.out.printf("rat1:%s \nrat2:%s",rat1.toString(), rat2.toString());
		
	}
}
